[Deprecated]: V2.0

delete

/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/subject/{subjectId}/visit/{visitId}/forms/{formId}/dataelements

Deprecated: Removes the data elements in a form within a given visit. This API supports tabular forms and is mainly used for both repeating forms and two-section forms.

Request

Path Parameters
Query Parameters
Supported Media Types
Request Body - */* ()
Root Schema : schema
Type: object
Reason and comment to justify operation.
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Comment
    Example: Removing incorrect data captured by mistake
  • Minimum Length: 0
    Maximum Length: 255
    Reason
    Example: Incorrect entry
Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto
Type: object
Base data element details including identity, study and subject context, values and metadata
Show Source

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top